Linear issue-state webhook (feedback resolution)
curl --request POST \
--url https://api.mnemom.ai/v1/feedback/webhook/linear \
--header 'Content-Type: application/json' \
--header 'linear-signature: <linear-signature>' \
--data '
{
"type": "<string>",
"action": "<string>",
"data": {}
}
'import requests
url = "https://api.mnemom.ai/v1/feedback/webhook/linear"
payload = {
"type": "<string>",
"action": "<string>",
"data": {}
}
headers = {
"linear-signature": "<linear-signature>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'linear-signature': '<linear-signature>', 'Content-Type': 'application/json'},
body: JSON.stringify({type: '<string>', action: '<string>', data: {}})
};
fetch('https://api.mnemom.ai/v1/feedback/webhook/linear', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"skipped": "<string>",
"resolved": true,
"submission_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Feedback
Linear issue-state webhook (feedback resolution)
Receives Issue state-change events from Linear (MNE-1680).
POST
/
feedback
/
webhook
/
linear
Linear issue-state webhook (feedback resolution)
Headers
HMAC-SHA-256 hex digest of the raw request body, keyed on LINEAR_WEBHOOK_SIGNING_SECRET, timing-safe-compared.
Body
application/json
Linear's Issue webhook payload. Only type: "Issue" with action: "update"|"create" is processed; other events are acknowledged as no-ops.
Response
Acknowledged — either a real resolution was recorded (resolved: true/false reflecting whether this was already resolved) or the event was a no-op (skipped: <reason>).